API ReferenceChangelog
Log In
API Reference

Copy video data to an S3 bucket

Initiates an asynchronous multipart copy operation to transfer video data from the Pixop Platform to the specified S3 bucket.

The status of this operation can be tracked using:

Retry and Abandon Options:

  • Restart a FAILED operation using POST /v1/videos/{videoId}/out/restart.
  • Abandon a FAILED operation and free up resources using POST /v1/videos/{videoId}/out/abandon.

Notes:

  • Only one "video out" operation can run per video at a time. Starting a new operation will result in a 409 Conflict response.
  • If the specified object key already exists in the S3 bucket, or if the video data is not ready for copy, a 409 Conflict response is also returned.
Path Params
uuid
required

The unique identifier for the video.

Body Params

Parameters required for exporting a video from the Pixop Platform into a specified S3 bucket.

s3Bucket
object
required

Represents the fields that can be updated for an S3 bucket with access keys.

string
required
length between 0 and 1020

The object key prefix for the video in the S3 bucket.
When the video is copied to the bucket, its file name is prefixed with this value to create the objectKey for the video in the bucket.
For example, if S3ObjectKeyPrefix=myoutputs and fileName=myvideo.mp4, the objectKey becomes myoutputs/myvideo.mp4.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*